package io.renren.modules.app.service.impl;


import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.dao.WxxmxxDao;
import io.renren.modules.app.entity.WxxmxxEntity;
import io.renren.modules.app.service.WxxmxxService;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;


@Service("wxxmxxService")
public class WxxmxxServiceImpl extends ServiceImpl<WxxmxxDao, WxxmxxEntity> implements WxxmxxService {


    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param wxxmxxEntity
     * @return
     */
    @Override
    public PageInfo<WxxmxxEntity> queryByPage(Integer pageNum, Integer pageSize, WxxmxxEntity wxxmxxEntity) {
        PageHelper.startPage(pageNum, pageSize);
        List<WxxmxxEntity> wxxmxxEntitys = baseMapper.queryByPage(wxxmxxEntity);
        PageInfo<WxxmxxEntity> pageInfo = new PageInfo<WxxmxxEntity>(wxxmxxEntitys);
        return pageInfo;
    }

    /**
    * 单个或批量删除
    * @param ids
    */
    @Override
    public void deleteBatch(String[] ids) {
        this.deleteBatchIds(Arrays.asList(ids));
    }

	@Override
	public String querywxxmbm() {
		return baseMapper.querywxxmbm();
	}


}